package productStocks

import (
	m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/inventory/product-stocks/controllers"
	productStock "gitlab.com/mbugroup/lti-api.git/internal/modules/inventory/product-stocks/services"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"

	"github.com/gofiber/fiber/v2"
)

func ProductStockRoutes(v1 fiber.Router, u user.UserService, s productStock.ProductStockService) {
	ctrl := controller.NewProductStockController(s)

	route := v1.Group("/product-stocks")
route.Use(m.Auth(u))
	// route.Get("/", m.Auth(u), ctrl.GetAll)
	// route.Post("/", m.Auth(u), ctrl.CreateOne)
	// route.Get("/:id", m.Auth(u), ctrl.GetOne)
	// route.Patch("/:id", m.Auth(u), ctrl.UpdateOne)
	// route.Delete("/:id", m.Auth(u), ctrl.DeleteOne)

	route.Get("/",m.RequirePermissions(m.P_ProductStockGetAll), ctrl.GetAll)
	route.Get("/:id",m.RequirePermissions(m.P_ProductStockGetOne), ctrl.GetOne)
}
